Bugzilla link: 1425613 Red Hat JIRA:  

Pull request:    

Description

When pulp syncs docker repository from upstream it only pulls manifests pointed to by Manifest list or a Tag.

The tag associations are bound to change over time during subsequent syncs. For example tag "latest" may point to a new image

manifest. However pulp retains the old tagless manifests and does not delete them.

Docker Manifests/Docker Manifest Lists that do not point to a Tag are very rarely useful from the perspective of the docker client

user. Very rarely do users want to say -> docker pull <repo@digest> .

We need to have a "mirror in sync" option in Katello that removes manifests that do not belong to any list or are associated to any

tags (similar to the yum one)

History

#1 - 10/11/2017 06:18 PM - Partha Aji

- Target version deleted (225)

Another case pointed to on irc we need to clear tags also

If on sync 1 i have tags A, B, and C, and sync 2 the source repo has tags C, D, E, the repo should only have C

, D, E.                               

Right now, the repo would have A B C D E. Use case is that an old tag rhel:7.0 has a bad CVE grade and has bee

n removed from source registry. a sync from that registry should make sure it is gone locally.

Also for capsule sync consider it image "pruning" as well. guaranteeing no old images around is very important

 

#2 - 10/11/2017 06:23 PM - Thomas McKay

- Bugzilla link set to 1425613

#3 - 10/12/2017 02:55 PM - Justin Sherrill

- translation missing: en.field_release set to 284

#4 - 03/28/2018 06:23 PM - John Mitsch

- translation missing: en.field_release changed from 284 to 352
